Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

retropie on ubuntu 18.10 is adding unnecessary/broken apt sources



  • so i installed retropie on ubuntu 18.10 and after installing, i noticed that there was an error when trying to update my system, so i investigated ands caused by fs-uae and kodi (wich was actually installed via apt before installing retropie) and it seems that retropie by default adds new repos for both when installing, without checking for available version first.
    there isnt really any problem with kodi anymore, since they aparently released a package for cosmic, however both of these packages are actually already in the ubuntu repo, so i was just wondering why add the ppa when installing and how do i disable it from adding these unnecessary/broken apt sources when i update retropie?

    i also noticed that the usbmount feature is always on by default (which is actually quite annoying on ubuntu) and every time i update retropie it is also reset, is there a way to prevent this?


  • Global Moderator

    Kodi installation on Ubuntu will add the ppa/team-xmbc repository, which has the latest Kodi version always. Right now it has the latest release (2.18), while the Ubuntu repositories still have 2.17. If you'd like to stay on the Ubuntu version, then remove the ppa:team-xbmc/ppa repository with apt-remove.
    For the usbmount part, I think it was a but a while ago for that particular problem (usbmount being re-enabled upgrades) - what version of RetroPie do you have ?



  • @mitu said in retropie on ubuntu 18.10 is adding unnecessary/broken apt sources:

    Kodi installation on Ubuntu will add the ppa/team-xmbc repository, which has the latest Kodi version always. Right now it has the latest release (2.18), while the Ubuntu repositories still have 2.17. If you'd like to stay on the Ubuntu version, then remove the ppa:team-xbmc/ppa repository with apt-remove.

    the problem with kodi was only just fixed a few days ago, before that the ppa was added by retropie, but there was no release for cosmic.
    also, my problem is not removing the repos, the problem is they are added back when i update retropie resulting in errors when i update ubuntu.
    a good example would be fs-uae, which does not have a release for cosmic, however there is a release in the ubuntu repo, so why add the broken ppa?

    regarding the usbmount thing, it is definitely not fixed then, my version of retropie was updated yesterday and it was re-enabled then aswell.


  • Global Moderator

    @Halvhjearne If you don't have a use for the usbmount service, then remove it altogether. I tested and the disable stuff does not remove the service, indeed.

    I'm a bit confused though by

    the problem with kodi was only just fixed a few days ago, before that the ppa was added by retropie,

    So you had a problem with Kodi, but it actually wasn't because of RetroPie ?

    About fs-uae - I notice indeed there's no package for 18.10, thanks for reporting that.



  • @mitu said in retropie on ubuntu 18.10 is adding unnecessary/broken apt sources:

    @Halvhjearne If you don't have a use for the usbmount service, then remove it altogether. I tested and the disable stuff does not remove the service, indeed.

    i didnt notice that was an option, but i guess that works .. thanks

    @mitu said in retropie on ubuntu 18.10 is adding unnecessary/broken apt sources:

    So you had a problem with Kodi, but it actually wasn't because of RetroPie ?

    the problem was that there was no package for cosmic at ppa:team-xbmc/ppa when i installed retropie (before 2019-01-28) ... its not a problem anymore tho.



  • @mitu said in retropie on ubuntu 18.10 is adding unnecessary/broken apt sources:

    About fs-uae - I notice indeed there's no package for 18.10, thanks for reporting that.

    there is a package available upstream for both cosmic and bionic, would it be possible to maybe fix the script to not add the broken repo for cosmic?
    its getting a bit annoying to fix this every time i want to update retropie.

    also, kodi adds the repo every time, maybe its possible to check if its already there?
    (that might be fixed now ...)


  • Global Moderator

    @Halvhjearne said in retropie on ubuntu 18.10 is adding unnecessary/broken apt sources:

    there is a package available upstream for both cosmic and bionic, would it be possible to maybe fix the script to not add the broken repo for cosmic?

    The repo is mainained by the FS-UAE author and it's the recommended way to install it (https://fs-uae.net/download#ubuntu). If anything changes regarding that, we can also update the script. While for 18.x the latest package is upstreamed (Ubuntu), for older releases the PPA has the latest version. Let's see what happens when 19.04 breaks loose.



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.